Tool (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Interface Tool

All Known Implementing Classes:
  AmpLinkLayer, BeanPanel, DistQuickTool, EditorLayer, GeoCrossDemoLayer, GeoIntersectionLayer, IconFactoryTestingTool, LayersPanel, MouseModeButtonPanel, MouseModePanel, NavigatePanel, OMDrawingTool, OMDrawingToolLauncher, OMGraphicDeleteTool, OMToolComponent, OMToolSet, OverviewMapHandler, ProjectionStackTool, RotTool, ScaleTextPanel, ZoomPanel

    public interface Tool

Represents an item on the ToolPanel. If the Tool is a PropertyConsumer and a property prefix is used, the prefix should be used as the key as it is supposed to be unique and can be used as a known discriminator.

Author:
  john gash contributed to this notion of a Tool.

Method Summary
`java.awt.Container` | `getFace()` The retrieval tool's interface.
`java.lang.String` | `getKey()` The retrieval key for this tool.
`int` | `getOrientation()` Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.
`void` | `setKey(java.lang.String aKey)` Set the retrieval key for this tool.
`void` | `setOrientation(int orientation)` Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.

Method Detail

### getFace

    java.awt.Container getFace()

  The retrieval tool's interface. This is added to the tool bar.

  Returns:
    String The key for this tool.

### getKey

    java.lang.String getKey()

  The retrieval key for this tool.

  Returns:
    String The key for this tool.

### setKey

    void setKey(java.lang.String aKey)

  Set the retrieval key for this tool.

  Parameters:
    `aKey` - The key for this tool.

### setOrientation

    void setOrientation(int orientation)

  Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.

  Parameters:
    `orientation` - that should be set on tool.

### getOrientation

    int getOrientation()

  Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.

  Returns:
    orientation that is set on tool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details